Bind update query parameters

- « mysql_xdevapi\TableUpdate

- TableUpdate::__construct »

- PHP Manual
- mysql_xdevapi\TableUpdate
- Bind update query parameters

# TableUpdate::bind

(No version information available, might only be in Git)

TableUpdate::bind — Bind update query parameters

### Description

public mysql_xdevapi\TableUpdate::bind(array `$placeholder_values`): mysql_xdevapi\TableUpdate

Binds a value to a specific placeholder.

### Parameters

`placeholder_values`

  The name of the placeholder, and the value to bind, defined as a JSON array.

### Return Values

A TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::bind() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $table->update()
      ->set('status', 'admin')
      ->where('name = :name and age > :age')
      ->bind(['name' => 'Bernie', 'age' => 2000])
      ->execute();

    ?>